com.verisign.epp.serverstub

## Class RegistryPolicyCompositeAdapter

- java.lang.Object
- - com.verisign.epp.serverstub.RegistryPolicyCompositeAdapter

-     public class RegistryPolicyCompositeAdapter
      extends java.lang.Object

  `RegistryPolicyCompositeAdapter` will execute each of the configured Registry Policy Adapters and executes each one to adapt all of the registry policy EPP extensions to zone policy extensions and vice-versa.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegistryPolicyCompositeAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<EPPRegistryZoneInterface>` | `eppExtToZoneExt(java.util.List<EPPCodecComponent> aEppExtensions)` Adapt a list of EPP extensions used with a registry create or update to a list of matching zone policy extensions.
    `java.util.List<EPPCodecComponent>` | `getSystemExts()` Adapts the registered set of policy adapters to a list of system policy extensions that can be added to a registry system info response.
    `java.util.List<EPPCodecComponent>` | `zoneExtToEppExt(java.util.List<EPPRegistryZoneInterface> aZoneExtensions)` Adapt a list of zone policy extensions available for the zone to a matching list of EPP extensions for an info response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegistryPolicyCompositeAdapter

          public RegistryPolicyCompositeAdapter()

  - ### Method Detail

    - #### eppExtToZoneExt

          public java.util.List<EPPRegistryZoneInterface> eppExtToZoneExt(java.util.List<EPPCodecComponent> aEppExtensions)

      Adapt a list of EPP extensions used with a registry create or update to a list of matching zone policy extensions. It is assumed that there will be an `EPPRegistryPolicyAdapter` for each versioned policy extension that will be used to extract the contained zone policy information in a matching EPP extension.
      Parameters:
        `aEppExtensions` - List of EPP extensions to adapt to a zone policy extension.
      Returns:
        Matching zone policy extensions if matches found; empty list otherwise.

    - #### zoneExtToEppExt

          public java.util.List<EPPCodecComponent> zoneExtToEppExt(java.util.List<EPPRegistryZoneInterface> aZoneExtensions)

      Adapt a list of zone policy extensions available for the zone to a matching list of EPP extensions for an info response.
      Parameters:
        `aZoneExtensions` - List of zone policy extensions to adapt to an EPP extension for an info response.
      Returns:
        Matching EPP extensions for an info response if matches found; empty list otherwise.

    - #### getSystemExts

          public java.util.List<EPPCodecComponent> getSystemExts()

      Adapts the registered set of policy adapters to a list of system policy extensions that can be added to a registry system info response.
      Returns:
        List of system policy extensions associated with registered adapters.

Copyright © VeriSign Inc. All Rights Reserved.